Bug 25900

Summary: [Gtk] ROLE_ROW_HEADER should not be used for list item bullets/numbers
Product: WebKit Reporter: Joanmarie Diggs (irc: joanie) <jdiggs>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: VERIFIED FIXED    
Severity: Normal CC: apinheiro, walker.willie, xan.lopez
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 25531    
Attachments:
Description Flags
aforementioned test case
none
use ROLE_TEXT for ListMarkerRole xan.lopez: review+

Description Joanmarie Diggs (irc: joanie) 2009-05-20 16:42:04 PDT
Steps to reproduce:

1. Open the (to be) attached test case.

2. Use Accerciser to explore the accessible hierarchy for list items.

Preferred results: The text for the list item bullet/number would be combined with the text of the item itself (i.e. in one object rather than two).

Expected results: Assuming it is necessary to maintain separate accessible objects for the item's bullet/number and the item's text, the bullet/number would be of ROLE_TEXT.

Actual results: The item's bullet/number is of ROLE_ROW_HEADER (a role associated and expected in tables; not list items).
Comment 1 Joanmarie Diggs (irc: joanie) 2009-05-20 16:42:44 PDT
Created attachment 30515 [details]
aforementioned test case
Comment 2 Jan Alonzo 2009-05-21 06:30:59 PDT
Created attachment 30541 [details]
use ROLE_TEXT for ListMarkerRole
Comment 3 Xan Lopez 2009-05-21 13:20:55 PDT
Have you tried to figure out how to do the 'preferred result'? :)
Comment 4 Xan Lopez 2009-05-23 06:29:48 PDT
Joannie, would it be useful to you if we commit this while we figure out if we can get the preferred solution?
Comment 5 Joanmarie Diggs (irc: joanie) 2009-05-23 11:50:55 PDT
(In reply to comment #4)
> Joannie, would it be useful to you if we commit this while we figure out if we
> can get the preferred solution?
> 
I could go either way. That said, the preferred solution could be looked at as another bug, one related to (if not the same as) bug 25675. In both cases, multiple accessibles are present when only one (IMHO) should be. Jan fixed the most important issue reported here, namely the role.

Thanks!
Comment 6 Xan Lopez 2009-05-23 12:11:41 PDT
Comment on attachment 30541 [details]
use ROLE_TEXT for ListMarkerRole

OK! Then let's commit this and let's try to fix the bigger issue in other bug. FWIW, I need to fix something similar to finish my get_text_at_offset patch, WebKit splits text separated by <br> in different elements, which makes testing the feature pretty complicated.
Comment 7 Jan Alonzo 2009-05-23 15:23:51 PDT
Patch landed in r44104. 
Comment 8 Joanmarie Diggs (irc: joanie) 2009-07-27 17:56:37 PDT
Verifying. Thanks!